# libtracefs(3) Manual Page

## NAME

tracefs_hist_start, tracefs_hist_destroy, tracefs_hist_pause, tracefs_hist_continue, tracefs_hist_reset - Pause, continue, or clear an existing histogram

## SYNOPSIS

    #include <tracefs.h>

    int tracefs_hist_start(struct tracefs_instance *instance, struct tracefs_hist *hist);
    int tracefs_hist_destroy(struct tracefs_instance *instance, struct tracefs_hist *hist);
    int tracefs_hist_pause(struct tracefs_instance *instance, struct tracefs_hist *hist);
    int tracefs_hist_continue(struct tracefs_instance *instance, struct tracefs_hist *hist);
    int tracefs_hist_reset(struct tracefs_instance *instance, struct tracefs_hist *hist);

## DESCRIPTION

tracefs_hist_start() is called to actually start the histogram hist. The instance is the instance to start the histogram in, NULL if it should start at the top level.

tracefs_hist_pause() is called to pause the histogram hist. The instance is the instance to pause the histogram in, NULL if it is in the top level.

tracefs_hist_continue() is called to continue a paused histogram hist. The instance is the instance to continue the histogram, NULL if it is in the top level.

tracefs_hist_reset() is called to clear / reset the histogram hist. The instance is the instance to clear the histogram, NULL if it is in the top level.

tracefs_hist_destroy() is called to delete the histogram where it will no longer exist. The instance is the instance to delete the histogram from, NULL if it is in the top level.

## RETURN VALUE

All the return zero on success or -1 on error.

## EXAMPLE

## FILES

    tracefs.h
            Header file to include in order to have access to the library APIs.
    -ltracefs
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtracefs(3), libtraceevent(3), trace-cmd(1), tracefs_hist_alloc(3), tracefs_hist_alloc_2d(3), tracefs_hist_alloc_nd(3), tracefs_hist_free(3), tracefs_hist_add_key(3), tracefs_hist_add_value(3), tracefs_hist_add_name(3), tracefs_hist_start(3), tracefs_hist_destory(3), tracefs_hist_add_sort_key(3), tracefs_hist_sort_key_direction(3)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>
    sameeruddin shaik <sameeruddin.shaik8@gmail.com>

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtracefs is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/

## COPYING

Copyright (C) 2020 VMware, Inc. Free use of this software is granted under the terms of the GNU Public License (GPL).